## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathFactoryDefault Class Reference

`#include <XPathFactoryDefault.hpp>`

Inheritance diagram for XPathFactoryDefault:

[legend]
Collaboration diagram for XPathFactoryDefault:

[legend]
List of all members.

## Public Types

- typedef std::set<const XPath*> CollectionType

## Public Methods

- XPathFactoryDefault ()
- virtual ~XPathFactoryDefault ()
- virtual void reset ()
    Reset the instance. More...
- virtual XPath* create ()
    Create an XPath. More...
- CollectionType::size_type getInstanceCount () const

## Protected Methods

- virtual bool doReturnObject (const XPath *theXPath, bool fInReset=false)

## Member Typedef Documentation

typedef std::set< const XPath *> XPathFactoryDefault::CollectionType<const XPath*>

## Constructor & Destructor Documentation

XPathFactoryDefault::XPathFactoryDefault ( | )`[explicit]`

XPathFactoryDefault::~XPathFactoryDefault ( | )`[virtual]`

## Member Function Documentation

XPath * XPathFactoryDefault::create ( | )`[virtual]`

| Create an XPath. The XPath instance is owned by the factory, and should not be deleted. The factory will manage the lifetime. Reimplemented from XPathFactory.

bool XPathFactoryDefault::doReturnObject ( | const XPath * theXPath,
| bool fInReset = false )`[protected, virtual]`

| Reimplemented from XPathFactory.

CollectionType::size_type XPathFactoryDefault::getInstanceCount ( | ) const

void XPathFactoryDefault::reset ( | )`[virtual]`

| Reset the instance. This invalidates all existing instances created with this XPathFactory. Reimplemented from XPathFactory.

The documentation for this class was generated from the following file:

- XPathFactoryDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.